Subject: Re: [PATCH V2 mlx5-next 12/14] vfio/mlx5: Implement vfio_pci driver for mlx5 devices

From: Jason Gunthorpe <[email-masked]>
Date: Tue, 26 Oct 2021 09:13:53 -0300

On Tue, Oct 26, 2021 at 09:40:34AM +0100, Dr. David Alan Gilbert wrote:
> * Jason Gunthorpe ([email-masked]) wrote:
> > On Mon, Oct 25, 2021 at 07:47:29PM +0100, Dr. David Alan Gilbert wrote:
> > 
> > > It may need some further refinement; for example in that quiesed state
> > > do counters still tick? will a NIC still respond to packets that don't
> > > get forwarded to the host?
> > 
> > At least for the mlx5 NIC the two states are 'able to issue outbound
> > DMA' and 'all internal memories and state are frozen and unchanging'.
> 
> Yeh, so my point was just that if you're adding a new state to this
> process, you need to define the details like that.

We are not planning to propose any patches/uAPI specification for this
problem until after the mlx5 vfio driver is merged..

Jason